You are not logged in.

#1 2019-12-20 10:58:45

erickwill
Member
Registered: 2013-11-05
Posts: 123

[SOLVED] xorgproto issues..

Dear fellas,

Since yesterday, pacman/yaourt started to show this message while trying to update:

warning: package-query: ignoring package downgrade (1.10-1 => 1.9-3)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorgproto (2019.2-2) breaks dependency 'dmxproto' required by libdmx
:: installing xorgproto (2019.2-2) breaks dependency 'xf86dgaproto' required by libxxf86dga
==> upgrading SVN/CVS/HG/GIT package

Is there any workaround in order to fix this issue?

Thanks

Workaround of fix:

d_fajardo wrote:

I received the update from arch-announce with a manual intervention:

when updating, use: `pacman -Rdd libdmx libxxf86dga && pacman -Syu` to perform the upgrade. After the update it will be safe to also remove
the 'xorgproto' package.

After update just

$ pacman -Rns $(pacman -Qqtd)

Last edited by erickwill (2019-12-20 15:49:35)

Offline

#2 2019-12-20 11:04:26

starfry
Member
From: Surrey, UK
Registered: 2010-08-18
Posts: 202

Re: [SOLVED] xorgproto issues..

I have the same problem. I see the change was made 15 hours ago so I gues there's some dependency that has not updated somewhere. I've worked around it by downloading the package from the archive and sticking it in a local repo I maintain for such work arounds. Until it's fixed...

Offline

#3 2019-12-20 11:34:20

Zod
Member
From: Hoosiertucky
Registered: 2019-03-10
Posts: 341

Re: [SOLVED] xorgproto issues..

Offline

#4 2019-12-20 15:03:24

erickwill
Member
Registered: 2013-11-05
Posts: 123

Re: [SOLVED] xorgproto issues..

starfry wrote:

I have the same problem. I see the change was made 15 hours ago so I gues there's some dependency that has not updated somewhere. I've worked around it by downloading the package from the archive and sticking it in a local repo I maintain for such work arounds. Until it's fixed...

I did install libdmx-1.1.4-1-x86_64.pkg.tar.xz and still I have the same:

:: installing xorgproto (2019.2-2) breaks dependency 'dmxproto' required by libdmx
:: installing xorgproto (2019.2-2) breaks dependency 'xf86dgaproto' required by libxxf86dga

I wonder if the error is related to dmxproto amd xf86dgaproto instead..

Offline

#5 2019-12-20 15:13:22

loqs
Member
Registered: 2014-03-06
Posts: 11,029

Re: [SOLVED] xorgproto issues..

You installed libdmx 1.1.4-1 which depends on dmxproto which xorgproto 2019.2-2 does not provide.

Offline

#6 2019-12-20 15:24:54

d_fajardo
Member
Registered: 2017-07-28
Posts: 707

Re: [SOLVED] xorgproto issues..

I received the update from arch-announce with a manual intervention:

when updating, use: `pacman -Rdd libdmx libxxf86dga && pacman -Syu` to perform the upgrade. After the update it will be safe to also remove
the 'xorgproto' package.

Offline

#7 2019-12-20 15:48:08

erickwill
Member
Registered: 2013-11-05
Posts: 123

Re: [SOLVED] xorgproto issues..

d_fajardo wrote:

I received the update from arch-announce with a manual intervention:

when updating, use: `pacman -Rdd libdmx libxxf86dga && pacman -Syu` to perform the upgrade. After the update it will be safe to also remove
the 'xorgproto' package.


It did the trick! Thank you very much! wink

Offline

#8 2019-12-20 15:59:28

whatshisname
Member
Registered: 2010-04-24
Posts: 162

Re: [SOLVED] xorgproto issues..

Despite this thread being "[SOLVED]", I'm still having issues. 

Moderators, If I need to start a new thread, please advise.  Nonetheless, the notice states:

  After the update it will be safe to also remove the 'xorgproto' package.

Upon running:

 pacman -R xorgproto

I am met with:

 removing xorgproto breaks dependency 'xorgproto' required by xorg-server-devel

Should I proceed with removing "xorg-server-devel"?

Thanks.

Offline

#9 2019-12-20 16:37:42

Maniaxx
Member
From: .de
Registered: 2014-05-14
Posts: 297

Re: [SOLVED] xorgproto issues..

d_fajardo wrote:

I received the update from arch-announce with a manual intervention:

How can one "receive updates from arch-announce"?
Because that's exactly what we need for pacman. A package with highest priority (handled first) that does nothing else but print critical announcements.

whatshisname wrote:

Should I proceed with removing "xorg-server-devel"?

I've done this without problems. Three packages were removed (incl. xorg-server-devel).

sudo pacman -Runsc xorgproto

Last edited by Maniaxx (2019-12-20 17:01:02)


sys2064

Offline

#10 2019-12-20 16:58:40

zacariaz
Member
Registered: 2012-01-18
Posts: 495
Website

Re: [SOLVED] xorgproto issues..

I did exactly as directed

'pacman -Rdd libdmx libxxf86dga && pacman -Syu

' only to get the message:

error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorgproto (2019.2-2) breaks dependency 'xf86miscproto' required by libxxf86misc

I removed 'libxxf86misc' as the other two packages was removed, and it allowed me to update.

I don't know if this was right or not, but I did a full update, removed 'xorgproto' and attempted to install 'libxxf86misc' again, but of course there were dependency problems.
Unless anyone states otherwise, I'll just assume everything is in order.

Offline

#11 2019-12-20 17:26:53

ivo-a22
Member
Registered: 2018-11-26
Posts: 6

Re: [SOLVED] xorgproto issues..

Why did you install libxxf86misc again? Is it necessarily ? Does xorg proto became orphan ? So I think pacman -Rns $(pacman -Qtdq) will delete it .

Offline

#12 2019-12-20 17:27:49

PlainArch
Member
Registered: 2019-09-07
Posts: 1

Re: [SOLVED] xorgproto issues..

Thank you all.

Offline

#13 2019-12-20 17:35:53

d_fajardo
Member
Registered: 2017-07-28
Posts: 707

Re: [SOLVED] xorgproto issues..

Maniaxx wrote:

How can one "receive updates from arch-announce"?

https://lists.archlinux.org/listinfo/arch-announce

Offline

#14 2019-12-20 17:39:06

akjanik
Member
Registered: 2017-11-13
Posts: 15

Re: [SOLVED] xorgproto issues..

I hit the same issue, after running "fix" command and trying to update system got

error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorgproto (2019.2-2) breaks dependency 'xf86miscproto' required by libxxf86misc

Dependency little-hell forced to remove `light-locker` package, and then updating and at the end could install `light-locker` again.

Manaxx wrote:

sudo pacman -Runsc xorgproto

I advice to not run this command at all. It tried to remove almost 800 packages from my system (~7 GB). Not sure if trolling or casual misleading.

Offline

#15 2019-12-20 17:48:06

sammiev
Member
Registered: 2018-12-22
Posts: 31

Re: [SOLVED] xorgproto issues..

akjanik wrote:

I hit the same issue, after running "fix" command and trying to update system got

error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorgproto (2019.2-2) breaks dependency 'xf86miscproto' required by libxxf86misc

Dependency little-hell forced to remove `light-locker` package, and then updating and at the end could install `light-locker` again.

Manaxx wrote:

sudo pacman -Runsc xorgproto

I advice to not run this command at all. It tried to remove almost 800 packages from my system (~7 GB). Not sure if trolling or casual misleading.

Found much the same.

I used 'pacman -Rdd xorgproto' without issue.

Offline

#16 2019-12-20 17:52:09

d_fajardo
Member
Registered: 2017-07-28
Posts: 707

Re: [SOLVED] xorgproto issues..

If it's any comfort this is the bug report for this issue. It might shed light to those managing dependencies.

Offline

#17 2019-12-20 18:18:40

ratcheer
Member
Registered: 2011-10-09
Posts: 738

Re: [SOLVED] xorgproto issues..

I read the bug report and I still have a question. Why do they install a new version of xorgproto, then tell you it's ok to delete it, immediately?

Last edited by ratcheer (2019-12-20 18:18:58)

Offline

#18 2019-12-20 18:20:30

zacariaz
Member
Registered: 2012-01-18
Posts: 495
Website

Re: [SOLVED] xorgproto issues..

ivo-a22 wrote:

Why did you install libxxf86misc again? Is it necessarily ? Does xorg proto became orphan ? So I think pacman -Rns $(pacman -Qtdq) will delete it .

I'm not sure exactly why it is installed. A leftover from Antergos I presume. I haven't yet had time to reinstall.

Offline

#19 2019-12-20 18:42:03

d_fajardo
Member
Registered: 2017-07-28
Posts: 707

Re: [SOLVED] xorgproto issues..

ratcheer wrote:

I read the bug report and I still have a question. Why do they install a new version of xorgproto, then tell you it's ok to delete it, immediately?

Good question. My guess is xorgproto is required to rebuild packages that won't be needing it in subsequent updates by other means of updating them.
It's a pure guess, however.

Offline

#20 2019-12-20 20:44:59

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 1,059

Re: [SOLVED] xorgproto issues..

Doh! I wish I'd seen this thread an hour ago. I manually fixed the upgrade. This would have been so much easier.


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Ryzen 1800x 8 core/16 thread - GTX 1070 8Gb, Asus ROG STRIX B350-F, 16Gb Corsair DDR4, Cooler Master N300 chassis, 5 HD (2SSD - 3Spinners) + 1 x optical.
Linux user #545703

Offline

#21 2019-12-20 21:01:42

parker.hugh
Member
Registered: 2016-11-29
Posts: 1

Re: [SOLVED] xorgproto issues..

d_fajardo wrote:

I received the update from arch-announce with a manual intervention:

when updating, use: `pacman -Rdd libdmx libxxf86dga && pacman -Syu` to perform the upgrade. After the update it will be safe to also remove
the 'xorgproto' package.

Thank you, this fixed the issue for me.

Offline

#22 2019-12-20 21:24:49

whatshisname
Member
Registered: 2010-04-24
Posts: 162

Re: [SOLVED] xorgproto issues..

Maniaxx wrote:
d_fajardo wrote:

I received the update from arch-announce with a manual intervention:

How can one "receive updates from arch-announce"?
Because that's exactly what we need for pacman. A package with highest priority (handled first) that does nothing else but print critical announcements.

whatshisname wrote:

Should I proceed with removing "xorg-server-devel"?

I've done this without problems. Three packages were removed (incl. xorg-server-devel).

sudo pacman -Runsc xorgproto

And indeed it worked for me as well.

Thanks.

Offline

#23 2019-12-20 21:50:40

joseluisq
Member
Registered: 2017-10-01
Posts: 1

Re: [SOLVED] xorgproto issues..

This one worked for me:

sudo pacman -Rdd xorgproto

Then I have proceeded making updates as usual.

Offline

#24 2019-12-20 23:04:36

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,193

Re: [SOLVED] xorgproto issues..

As this problem and its solution are now front-page news (and this topic is marked [SOLVED]) I am closing it.

Offline

Board footer

Powered by FluxBB